classification
Title: GC: untrack simple objects
Type: Stage:
Components: Interpreter Core Versions: Python 2.3
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: jhylton Nosy List: jhylton, nascheme, nnorwitz, tim.peters
Priority: low Keywords: patch

Created on 2002-05-21 16:10 by nascheme, last changed 2004-02-10 21:29 by tim.peters. This issue is now closed.

Files
File name Uploaded Description Edit
untrack_simple.diff nascheme, 2002-05-21 16:10
Messages (5)
msg40073 - (view) Author: Neil Schemenauer (nascheme) * (Python committer) Date: 2002-05-21 16:10
This patch makes the GC untrack tuples that
contain no GC objects.  Unfortunately it doesn't seem
to help much.  The time for the 'storetups' case of
iterzip.py seems be about twice as fast (matching
Daniel Dunbar result).  Loading a number of complex
MEMS Exchange web pages causes the size of gen2 to go
up to 120000 instead of 134000 without the patch.

This change doesn't seem to be worth making.
msg40074 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2003-04-12 01:16
Logged In: YES 
user_id=33168

Neil, are you still interested in this patch?
msg40075 - (view) Author: Neil Schemenauer (nascheme) * (Python committer) Date: 2003-04-12 13:43
Logged In: YES 
user_id=35752

I'm not since it doesn't seem to help much.  It looks like
no one else is either.  Closing it.
msg40076 - (view) Author: Tim Peters (tim.peters) * (Python committer) Date: 2003-04-13 05:23
Logged In: YES 
user_id=31435

Unassigned.  I agree with closing it, BTW -- it wasn't hot or 
cold, it just seemed so neutral it was depressing <wink>.
msg40077 - (view) Author: Tim Peters (tim.peters) * (Python committer) Date: 2004-02-10 21:29
Logged In: YES 
user_id=31435

Assigned to Jeremy, cuz he wants to reconsider this.
History
Date User Action Args
2002-05-21 16:10:46naschemecreate